Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class SvnDiffUtils

    java.lang.Object
      net.sf.statsvn.util.SvnDiffUtils

public final class SvnDiffUtils
extends Object

Utilities class that manages calls to svn diff.

Version:
  $Id: SvnDiffUtils.java 368 2008-06-25 21:23:46Z benoitx $
Author:
  Jason Kealey , Gunter Mussbacher

Field Summary
`static int` | `RESULT_SIZE`

Method Summary
`static Vector` | `getLineDiff(String newRevNr)` Returns line count differences for all files in a particular revision.
`static int[]` | `getLineDiff(String oldRevNr, String newRevNr, String filename)` Returns line count differences between two revisions of a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_SIZE

    public static final int RESULT_SIZE

See Also:
  Constant Field Values

Method Detail

### getLineDiff

    public static int[] getLineDiff(String oldRevNr,
                                    String newRevNr,
                                    String filename)
                             throws IOException,
                                    BinaryDiffException

  Returns line count differences between two revisions of a file.

  Parameters:
    `oldRevNr` - old revision number
    `newRevNr` - new revision number
    `filename` - the filename
  Returns:
    A int[2] array of [lines added, lines removed] is returned.
  Throws:
    `IOException` - problem parsing the stream
    `BinaryDiffException` - if the error message is due to trying to diff binary files.

### getLineDiff

    public static Vector getLineDiff(String newRevNr)
                              throws IOException,
                                     BinaryDiffException

  Returns line count differences for all files in a particular revision.

  Parameters:
    `newRevNr` - new revision number
  Returns:
    A vector of object[3] array of [filename, int[2](lines added, lines removed), isBinary] is returned.
  Throws:
    `IOException` - problem parsing the stream
    `BinaryDiffException` - if the error message is due to trying to diff binary files.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD